class sysconfig::params {

  $db_name = hiera('sysconfig::params::db_name','spel')
  $db_user = hiera('sysconfig::params::db_user','spel_user')
  $db_pw   = hiera('sysconfig::params::db_pw','spel')
  $db_host = hiera('sysconfig::params::db_host','127.0.0.1')
  $db_port = hiera('sysconfig::params::db_port','5432')

  $db_host_real = $db_host
  $db_is_local = ($db_host_real == undef or !$db_host_real or $db_host_real=='127.0.0.1' or $db_host_real=='localhost')

  $testserver_port = hiera('sysconfig::params::testserver_port','8001')

  $superuser_name   = hiera('sysconfig::params::superuser_name','admin')
  $superuser_pw     = hiera('sysconfig::params::superuser_pw','dev@spel')
  
  $path_to_virtualenv = hiera('sysconfig::params::path_to_virtualenv', '/home/vagrant/myspelenv')

}
